org.apache.ignite.internal.util

## Class IgniteUuidCache

- java.lang.Object
- - org.apache.ignite.internal.util.IgniteUuidCache

    public final class IgniteUuidCache
    extends Object

### Method Summary

All Methods Static Methods Concrete Methods
`static UUID` `onIgniteUuidRead(UUID id)` Gets cached UUID to preserve memory.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Method Detail

#### onIgniteUuidRead

    public static UUID onIgniteUuidRead(UUID id)

Gets cached UUID to preserve memory.

Parameters:
  `id` - Read UUID.
Returns:
  Cached UUID equivalent to the read one.

2018 Copyright © Apache Software Foundation

Follow @ApacheIgnite

Ignite Database and Caching Platform | : ver. 2.7.0
Release Date | : November 30 2018